---
agentTools:
  projectIndex: https://haventec.readme.io/llms.txt
---

# Register a new user or device

# OpenAPI definition

```json
{
  "openapi": "3.0.3",
  "info": {
    "title": "Haventec Silent MFA SDK",
    "description": "The API contracts required for the Haventec Silent MFA SDK to work\n\nAdditional json properties may be added in the request/response bodies. However removal of json properties from the schemas defined in this document\nwill result in the SDK producing errors.\n",
    "version": "1.0.0"
  },
  "servers": [
    {
      "url": "https://api.example.com"
    }
  ],
  "paths": {
    "/register": {
      "post": {
        "tags": [
          "Step 1: Register new User"
        ],
        "summary": "Register a new user or device",
        "operationId": "registerUser",
        "requestBody": {
          "description": "Register a new Silent MFA device/User. Request body should match the existing new customer endpoint.\n\nThe backend could manage adding the authenticate user on the login endpoint too; making this endpoint optional.\n",
          "content": {
            "application/json": {
              "schema": {
                "type": "object"
              }
            }
          },
          "required": true
        },
        "responses": {
          "200": {
            "description": "Success response back from server",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/RegisterResponse"
                }
              }
            }
          },
          "405": {
            "description": "Invalid input",
            "content": {}
          }
        }
      }
    }
  },
  "components": {
    "schemas": {
      "RegisterResponse": {
        "type": "object",
        "properties": {
          "userUuid": {
            "type": "string",
            "format": "uuid"
          },
          "authSession": {
            "$ref": "#/components/schemas/AuthSession"
          }
        }
      },
      "AuthSession": {
        "type": "object",
        "properties": {
          "id": {
            "type": "string",
            "format": "uuid"
          },
          "expiryDate": {
            "type": "string",
            "format": "date-time"
          }
        }
      }
    }
  },
  "x-readme": {
    "explorer-enabled": true,
    "proxy-enabled": true
  },
  "_id": {
    "buffer": {
      "0": 98,
      "1": 214,
      "2": 74,
      "3": 252,
      "4": 254,
      "5": 146,
      "6": 4,
      "7": 0,
      "8": 66,
      "9": 149,
      "10": 130,
      "11": 61
    }
  }
}
```